Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1567832 - Application switcher hangs when alt+tab is pressed
Summary: Application switcher hangs when alt+tab is pressed
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: compiz
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-16 09:28 UTC by Jaroslav Škarvada
Modified: 2019-05-28 23:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:31:46 UTC
Type: Bug


Attachments (Terms of Use)

Description Jaroslav Škarvada 2018-04-16 09:28:38 UTC
Description of problem:
After an upgrade to f27 the application switcher starts hanging when alt+tab is pressed.

Version-Release number of selected component (if applicable):
compiz-0.8.14-3.fc27.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Enable application switcher
2. Hit Alt+Tab

Actual results:
Switcher is shown and then the UI hangs. restart of X server is needed.

Expected results:
No hang

Additional info:
I am using emerald with legacy engine over Xfce, modesetting (no intel driver) on Haswell-ULT Integrated Graphics Controller (ThinkPad X240). Other switchers like Ring switcher seems to work OK.

Comment 1 Wolfgang Ulbrich 2018-04-20 17:05:10 UTC
Honestly, i don't use compiz for myself any more.
Do you like to maintain it?

Comment 2 Jaroslav Škarvada 2018-04-23 08:33:04 UTC
Well, I could maintain it, but I am not familiar with the code base. I will try to debug this.

Comment 3 Wolfgang Ulbrich 2018-04-23 08:42:20 UTC
Great and thanks, 
this will help me to reduce my work overload.
Don't worry, compiz/emerald stack doesn't have much reports and i won't given it up completely.
But my base work is focused on MATE desktop (upstream/downstream), and that's really enough.
I will give you acl to related packages.

Comment 4 Jaroslav Škarvada 2018-04-23 08:50:27 UTC
(In reply to Wolfgang Ulbrich from comment #3)
> Great and thanks, 
> this will help me to reduce my work overload.
> Don't worry, compiz/emerald stack doesn't have much reports and i won't
> given it up completely.
> But my base work is focused on MATE desktop (upstream/downstream), and
> that's really enough.
> I will give you acl to related packages.

OK, thanks.

Comment 5 Wolfgang Ulbrich 2018-04-23 09:56:33 UTC
Done.

Comment 6 Ben Cotton 2018-11-27 16:04:11 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Jaroslav Škarvada 2018-11-27 16:18:53 UTC
Moving to f28, hopefully I will take a look.

Comment 8 Ben Cotton 2019-05-02 20:04:44 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2019-05-28 23:31:46 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.